/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:15pm
Filepath: scripts\events and scenarios\Thanksgiving 2011\AbominableWishbone.cs
Lines of code: 35

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class AbominableWishbone : Scepter
	{
	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }

	 	[Constructable]
	 	public AbominableWishbone()
	 	{
	 	 	Name = "Abominable Wishbone";
	 	 	Hue = 1192;
			Slayer = SlayerName.Repond;
			Attributes.SpellChanneling = 1;
			Attributes.CastSpeed = 1;
			Attributes.WeaponDamage = 35;
			WeaponAttributes.MageWeapon = 30;
			AosElementDamages.Physical=100;		
	 	}
		

	 	public AbominableWishbone(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 0 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
	 	}
	}
}
